CREATE TABLE atc_prod_line_refs (
    PROD_LINE_REF_ID         NUMBER(18, 0) ,
    REFERENCE_NAME           VARCHAR2(800) ,
    PROD_LINE_ID             VARCHAR2(120)     NOT NULL,
    PROD_LINE_HREF           VARCHAR2(4000),
    PROD_LINE_NAME           VARCHAR2(800) ,
    PROD_LINE_VERSION        VARCHAR2(80)  ,
    AT_TYPE                  VARCHAR2(400) ,
    AT_BASE_TYPE             VARCHAR2(400) ,
    AT_SCHEMA_LOCATION       VARCHAR2(4000),
    AT_REFERRED_TYPE         VARCHAR2(800) ,
    VERSION_STATE            NUMBER(2, 0)  ,
    ENTITY_ID                NUMBER(18, 0)     NOT NULL,
    ENTITY_NAME              VARCHAR2(400)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    PROD_LINE_REF_ID         NUMBER(18, 0) ,
    PROD_LINE_ID             VARCHAR2(120)     NOT NULL,
    PROD_LINE_HREF           VARCHAR2(4000),
    PROD_LINE_NAME           VARCHAR2(800) ,
    PROD_LINE_VERSION        VARCHAR2(80)  ,
    AT_TYPE                  VARCHAR2(400) ,
    AT_BASE_TYPE             VARCHAR2(400) ,
    AT_SCHEMA_LOCATION       VARCHAR2(4000),
    AT_REFERRED_TYPE         VARCHAR2(800) ,
    ENTITY_ID                NUMBER(18, 0)     NOT NULL,
    ENTITY_NAME              VARCHAR2(400)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    REFERENCE_NAME           VARCHAR2(800) ,
    VERSION_STATE            NUMBER(2, 0)  ,
    CONSTRAINT pk_atc_prod_line_refs PRIMARY KEY (PROD_LINE_REF_ID, PROD_LINE_REF_ID)
);
